gdcm::SplitMosaicFilter Class Reference

SplitMosaicFilter class. More...

`#include <gdcmSplitMosaicFilter.h>`

## Public Member Functions

| SplitMosaicFilter ()
| ~SplitMosaicFilter ()
bool | ComputeMOSAICDimensions (unsigned int dims[3])
bool | ComputeMOSAICImagePositionPatient (double pos[3], const double ipp[6], const double dircos[6], const double pixelspacing[3], const unsigned int image_dims[3], const unsigned int mosaic_dims[3], bool inverted)
| Extract the value for ImagePositionPatient.
bool | ComputeMOSAICSliceNormal (double dims[3], bool &inverted)
| Extract the value for SliceNormalVector (CSA header).
bool | ComputeMOSAICSlicePosition (double pos[3], bool inverted)
File & | GetFile ()
const File & | GetFile () const
Image & | GetImage ()
const Image & | GetImage () const
void | SetFile (const File &f)
void | SetImage (const Image &image)
bool | Split ()
| Split the SIEMENS MOSAIC image.

## Static Public Member Functions

static bool | GetAcquisitionSize (unsigned int size[2], DataSet const &ds)
| Get the Acquisition Matrix (non zero value):
static unsigned int | GetNumberOfImagesInMosaic (File const &file)
| Return the value for NumberOfImagesInMosaic, or compute it from Acquisition Size.

## Detailed Description

SplitMosaicFilter class.

Class to reshuffle bytes for a SIEMENS Mosaic image Siemens CSA Image Header CSA:= Common Siemens Architecture, sometimes also known as Common syngo Architecture

Warning
  when private attributes are not found, the acquisition matrix is used to compute the NumberOfImagesInMosaic. This means trailing black slices will be considered in the volume (instead of discarded). CSA 0029,1010 is needed for correct NumberOfImagesInMosaic CSA 0029,1020 is needed to compute the correct origin without above info default are taken (may not be accurate).

## Constructor & Destructor Documentation

## SplitMosaicFilter()

gdcm::SplitMosaicFilter::SplitMosaicFilter | ( |  | ) |

## ~SplitMosaicFilter()

gdcm::SplitMosaicFilter::~SplitMosaicFilter | ( |  | ) |

## Member Function Documentation

## ComputeMOSAICDimensions()

bool gdcm::SplitMosaicFilter::ComputeMOSAICDimensions | ( | unsigned int | dims[3] | ) |

Compute the new dimensions according to private information stored in the MOSAIC header.

## ComputeMOSAICImagePositionPatient()

bool gdcm::SplitMosaicFilter::ComputeMOSAICImagePositionPatient | ( | double | pos[3],
|  | const double | ipp[6],
|  | const double | dircos[6],
|  | const double | pixelspacing[3],
|  | const unsigned int | image_dims[3],
|  | const unsigned int | mosaic_dims[3],
|  | bool | inverted )

Extract the value for ImagePositionPatient.

## ComputeMOSAICSliceNormal()

bool gdcm::SplitMosaicFilter::ComputeMOSAICSliceNormal | ( | double | dims[3],
|  | bool & | inverted )

Extract the value for SliceNormalVector (CSA header).

## ComputeMOSAICSlicePosition()

bool gdcm::SplitMosaicFilter::ComputeMOSAICSlicePosition | ( | double | pos[3],
|  | bool | inverted )

Extract the value for ImagePositionPatient (requires inverted flag) Deprecated

## GetAcquisitionSize()

bool gdcm::SplitMosaicFilter::GetAcquisitionSize | ( | unsigned int | size[2],
|  | DataSet const & | ds )

static

Get the Acquisition Matrix (non zero value):

## GetFile() [1/2]

File & gdcm::SplitMosaicFilter::GetFile | ( |  | ) |

inline

## GetFile() [2/2]

const File & gdcm::SplitMosaicFilter::GetFile | ( |  | ) | const

inline

## GetImage() [1/2]

Image & gdcm::SplitMosaicFilter::GetImage | ( |  | ) |

inline

## GetImage() [2/2]

const Image & gdcm::SplitMosaicFilter::GetImage | ( |  | ) | const

inline

## GetNumberOfImagesInMosaic()

unsigned int gdcm::SplitMosaicFilter::GetNumberOfImagesInMosaic | ( | File const & | file | ) |

static

Return the value for NumberOfImagesInMosaic, or compute it from Acquisition Size.

## SetFile()

void gdcm::SplitMosaicFilter::SetFile | ( | const File & | f | ) |

inline

## SetImage()

void gdcm::SplitMosaicFilter::SetImage | ( | const Image & | image | ) |

## Split()

bool gdcm::SplitMosaicFilter::Split | ( |  | ) |

Split the SIEMENS MOSAIC image.

The documentation for this class was generated from the following file:

- gdcmSplitMosaicFilter.h